Subject: Content encoding and MS Word ...

From: <[email-masked]>
Date: Thu, 17 Feb 2005 10:28:40 +0100

Hi,

in a project using Slide/Tamino which I am coaching, XHTML documents are
stored using MS Word, where it is important to know the encoding of the
content. Unfortunately, MS Word 2003 does *not* sent the encoding in the
Content-Type header like:

	Content-Type: text/html; charset=windows-1252

but only sends the mime-type. As a consequence, the encoding is not
available as part of the value of the DAV:getcontenttype property.

Has anybody an idea how to make MS Word sending the encoding?

Thanks & regards,
Peter

P.S.: As a workaround, I have written a servlet filter to "correct
Word's fault" ... but possibly there is a better solution?